<main class="sign-form__container" role="main">

  <a href={{this.showcase.url}} class="pix-logo__link">
    <img class="pix-logo__image" src="/images/ecriplus-tests.svg" alt="{{t "navigation.homepage"}}" />
  </a>

  <div class="sign-form__header">
    {{#unless this.hasSucceeded}}
      <h1 class="sign-form-title">{{t "pages.password-reset-demand.title"}}</h1>
      <div class="sign-form-header__instruction sign-form-header__instruction--short sign-form-subtitle">
        {{t "pages.password-reset-demand.subtitle"}}
      </div>
    {{/unless}}
  </div>

  {{#if this.hasFailed}}
    <div
      class="password-reset-demand-form__notification-message--error"
      aria-live="polite"
      id="password-reset-demand-failed-message"
    >
      {{t "pages.password-reset-demand.error.message"}}
    </div>
  {{/if}}

  {{#if this.hasErrors}}
    <p class="password-reset-demand-form__notification-message--error" id="password-reset-demand-error-message">
      {{this.error}}
    </p>
  {{/if}}

  {{#if this.hasSucceeded}}
    <div class="sign-form-header__instruction sign-form-subtitle">{{t
        "pages.password-reset-demand.succeed.subtitle"
      }}</div>

    <div class="password-reset-demand-form__body" aria-live="polite">
      <span class="password-reset-demand-body__text sign-form-text">{{t
          "pages.password-reset-demand.succeed.instructions"
          email=this.email
        }}</span>
      <span class="password-reset-demand-body__text sign-form-text">{{t
          "pages.password-reset-demand.succeed.help"
        }}</span>
    </div>

    <div class="password-reset-demand-form__home-link">
      <a href={{this.showcase.url}} class="link">{{this.showcase.linkText}}</a>
    </div>
  {{else}}
    <form {{on "submit" this.savePasswordResetDemand}} class="sign-form__body">

      <div class="sign-form-body__input">
        <FormTextfield
          @label="{{t 'pages.password-reset-demand.fields.email.label'}}"
          @textfieldName="email"
          @validationStatus="default"
          @inputBindingValue={{this.email}}
          @require={{true}}
          @aria-describedby="password-reset-demand-error-message password-reset-demand-failed-message"
        />
      </div>

      <div class="sign-form-body__bottom-button sign-form-body__bottom-button--big">
        <PixButton @type="submit" @shape="rounded" @isDisabled={{this.isButtonDisabled}}>
          {{t "pages.password-reset-demand.actions.reset"}}
        </PixButton>
        <LinkTo
          @route="authentication.login"
          class="link link--grey sign-form-link password-reset-demand-form__cancel-link"
        >
          {{t "pages.password-reset-demand.actions.back-sign-in"}}
        </LinkTo>
      </div>

    </form>
  {{/if}}

</main>